%global srcname Rx
%global libname rx
%global eggname %{srcname}
%global pkgname %{libname}

%global _description \
Rx is a library for composing asynchronous and event-based programs using\
observable collections and LINQ-style query operators in Python.

%bcond_without tests


Name:           python-%{pkgname}
Version:        3.2.0
Release:    1%{?dist}
Summary:        Reactive Extensions (Rx) for Python
License:        MIT
URL:            https://github.com/ReactiveX/RxPY
Source0:        %{url}/archive/v%{version}/%{srcname}-%{version}.tar.gz
Patch0:         0001-Set-daemon-attribute-instead-of-using-setDaemon-meth.patch
Patch1:         0002-Remove-deprecated-loop-parameter.patch
Patch3:         https://github.com/ReactiveX/RxPY/commit/a4e84d8a488d6c7c75bdb09f6d6f08edcb2b23b0.patch

BuildArch:      noarch


%description %{_description}


%package -n python3-%{pkgname}
Summary:        %{summary}
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-asyncio
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pkgname}}


%description -n python3-%{pkgname} %{_description}


%prep
%autosetup -n RxPY-%{version} -p 1
rm -rf %{eggname}.egg-info


%build
%py3_build


%install
%py3_install


%if %{with tests}
%check
%pytest --verbose
%endif


%files -n python3-%{pkgname}
%license LICENSE
%doc README.rst authors.txt changes.md
%{python3_sitelib}/%{libname}
%{python3_sitelib}/%{eggname}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.2.0-1
- initial build
